IS_ETHERDEV_ADDR(9)

NAME
is_etherdev_addr - Tell if given Ethernet address belongs to the device.

SYNOPSIS

bool is_etherdev_addr(const struct net_device * dev, const u8 addr[6 + 2]);

ARGUMENTS

dev
    Pointer to a device structure

addr[6 + 2]
    Pointer to a six-byte array containing the Ethernet address

DESCRIPTION

Compare passed address with all addresses of the device. Return true if the address if one of the device addresses.

Note that this function calls ether_addr_equal_64bits so take care of the right padding.

COPYRIGHT